Bug 166177 - public key not available for autoconf-2.59-5.noarch.rpm
Summary: public key not available for autoconf-2.59-5.noarch.rpm
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: autoconf   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Karsten Hopp
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-08-17 19:46 UTC by Corey T.
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-10 13:21:38 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Corey T. 2005-08-17 19:46:09 UTC
Description of problem:

Yum issues the following error when attempting to install automake

=============================================================================
 Package                 Arch       Version          Repository        Size
=============================================================================
Installing:
 automake                noarch     1.9.5-1          base              460 k
Installing for dependencies:
 autoconf                noarch     2.59-5           base              628 k

Transaction Summary
=============================================================================
Install      2 Package(s)
Update       0 Package(s)
Remove       0 Package(s)
Total download size: 1.1 M
Is this ok [y/N]: y
Downloading Packages:
warning: rpmts_HdrFromFdno: Header V3 DSA signature: NOKEY, key ID db42a60e
public key not available for autoconf-2.59-5.noarch.rpm
Retrieving GPG key from file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora

The GPG key at file:///etc/pki/rpm-gpg/RPM-GPG-KEY-fedora (0x4F2A6FD2)
is already installed but is not the correct key for this package.
Check that this is the correct key for the "Fedora Core 4 - i386 - Base" repository.

Version-Release number of selected component (if applicable):


How reproducible:

Eeerrytime

Steps to Reproduce:
1. yum install automake
2.
3.
  
Actual results:

yum fails

Expected results:

yum suceeds

Additional info:

ya, whatever

Comment 1 Matthieu Pupat 2005-09-01 05:52:37 UTC
Save problem here FC4 (x86_64)

Comment 2 Matthieu Pupat 2005-09-01 06:32:06 UTC
I managed to installed the package on the disc.

Comment 3 Need Real Name 2005-10-10 12:05:09 UTC
Two months on, is this package trojaned, or does it just have the wrong key?

Comment 4 Karsten Hopp 2005-10-10 13:21:38 UTC
You need to import RPM-GPG-KEY as well, it's in the main directory of your 
Fedora tree or you can download it from
http://download.fedora.redhat.com/pub/fedora/linux/core/4/i386/os/




Note You need to log in before you can comment on or make changes to this bug.